1. Chargehammer's Avatar
    Hi all. Been lurking this forum for a while getting assistance with common problems and finally joined. So hello to all the members of the community and thanx in advance.

    So here is my issue.

    I have a jailbroken iPhone 4S running 5.1.1 on AT&T. Due to my SHSH blobs and apticket not being saved properly I don't have the ability to upgrade to a later jailbreakable firmware so I cannot update my phone to a higher firmware without losing my jailbreak so this is not an option.

    I have the MyATT app on my phone that I use to monitor and pay my AT&T and my U-Verse accounts. I updated it to version 2.6.1 as it was a bug fix. After this update, when I oclick on the "bill & pay" in the U-Verse account, I receive the below error:



    So I click on the "report a problem" at the bottom of the page and get this:



    This only happens on the U-Verse account. My AT&T mobile account, I am able to utilize the app just fine with no problems.

    What I've tried to troubleshoot:

    1. Deleting the app and reinstalling
    2. Deleting current verision and installing older versions of the app
    3. Deleting the app and downloading a fresh version of the app from the App Store
    4. Deleting the U-Verse account in the app and reinputting the account info

    Any other suggestions would be very helpful. I've searched all over the web and haven't found anything useful. If you google the info to try to find a solution you'll most likely only find another thread I've made on another forum. Anyway, thanx for all the assistance in the past, present, and future.
    12-16-2013 11:38 AM
  2. Just_Me_D's Avatar
    1. Try resetting your network settings
    2. Call AT&T and ask if they have received similar calls and ask if there's a problem using the app with their network.
    Chargehammer likes this.
    12-16-2013 11:50 AM
  3. Chargehammer's Avatar
    1. Try resetting your network settings
    2. Call AT&T and ask if they have received similar calls and ask if there's a problem using the app with their network.
    Hi JustMe'D. Just tried the 1st option provided and it didn't work. I left out that I had already contacted AT&T and they said just to update the device. This is their usual response though to many questions brought to them as it seems they are not fans of a jailbroken iPhone. I will call them though to see if they have had reports about this version not working.

    I did forget to mention for those who didn't know, version 2.6.1 of the MyATT is the last version compatible with iOS 5.1.1. Trying to update to the current version of 3.0.3 is only an option with iOS6 and later.
    12-16-2013 12:35 PM
  4. Just_Me_D's Avatar
    Oh okay. I can only assume that AT&T has updated their end to where any version prior to that for iOS 6 or greater no longer works. You may have to use their web access if you don't want to upgrade your iOS version.
    Chargehammer likes this.
    12-16-2013 12:41 PM
  5. Chargehammer's Avatar
    Oh okay. I can only assume that AT&T has updated their end to where any version prior to that for iOS 6 or greater no longer works. You may have to use their web access if you don't want to upgrade your iOS version.

    Yeah, figured this was the case as well. Just was weird that it was working before and now isn't. Thought maybe the text strings for contacting their end just needed to be altered or something like that and was a little apprehensive in doing so as I didn't want to mess it up further.

    Thank you for your quick replies as well JustMe'D.
    Just_Me_D likes this.
    12-16-2013 12:46 PM
  6. Chargehammer's Avatar
    Another couple of troubleshooting tricks I just attempted:

    1. Had a coworker login using his U-Verse account and he received the same error so it's not my account.
    2. Downloaded "IPA Install" from Cydia and forced the latest version (3.0.3) to install. It installed ok but wouldn't open.
    3. I did contact AT&T and they stated they haven't heard of anyone having a problem with their app from the app store (but assumed this would be their answer anyway as they aren't really known for their excellent customer service skills).
    12-16-2013 06:47 PM
  7. acerace113's Avatar
    Another couple of troubleshooting tricks I just attempted:

    1. Had a coworker login using his U-Verse account and he received the same error so it's not my account.
    2. Downloaded "IPA Install" from Cydia and forced the latest version (3.0.3) to install. It installed ok but wouldn't open.
    3. I did contact AT&T and they stated they haven't heard of anyone having a problem with their app from the app store (but assumed this would be their answer anyway as they aren't really known for their excellent customer service skills).
    I wound say to install the last version of the app that worked before you updated the app


    Sent from my 5th gen iPod Touch or iPhone 5S using Tapatalk
    12-16-2013 06:56 PM
  8. Chargehammer's Avatar
    I wound say to install the last version of the app that worked before you updated the app


    Sent from my 5th gen iPod Touch or iPhone 5S using Tapatalk
    I've tried to install versions 2.4.1 and version 2.3. When I do this, they install ok but will not open.
    12-16-2013 07:01 PM
  9. SeanHRCC's Avatar
    Have you looked online to see if support for that version has been dropped? I know that many apps, if not updated to at least a more current version will lose support and will cause functionality issues. Many times apps require language refreshers to keep them functional, and if they stop doing this, connections will stop working too.
    12-16-2013 07:08 PM
  10. Chargehammer's Avatar
    Have you looked online to see if support for that version has been dropped? I know that many apps, if not updated to at least a more current version will lose support and will cause functionality issues.

    Yes. I have tried google quite a few times to see if anything new has been posted regarding this. I can't seem to find anything helpful. I even have tried to leave comments in the app store regarding version 2.6.1 no longer working. This is the only version available from the app store that will install due to the iOS.
    12-16-2013 07:12 PM
  11. SeanHRCC's Avatar
    That would be my best guess if the functionality in other ways is still working...you've probably just found a support drop in the app itself. That's unfortunate if you're dead set on staying on 5.1.1...

    On a personal note, I've always hated that app...the usage reports seem so freakin' sporadically inaccurate, and I've had so many errors trying to pay a bill due to network issues on their end. It actually charged my debit card twice for a bill once, and I deleted the app almost immediately.
    12-16-2013 07:21 PM
  12. Chargehammer's Avatar
    That would be my best guess if the functionality in other ways is still working...you've probably just found a support drop in the app itself. That's unfortunate if you're dead set on staying on 5.1.1...

    On a personal note, I've always hated that app...the usage reports seem so freakin' sporadically inaccurate, and I've had so many errors trying to pay a bill due to network issues on their end. It actually charged my debit card twice for a bill once, and I deleted the app almost immediately.
    It's weird that only part of the app doesn't work. It works perfect when accessing my mobile account.

    Trust me, I would update to iOS 6.1.2 if I had the ability. I just have too many jailbreak tweaks I utilize on a daily basis I would miss too much.
    12-16-2013 07:24 PM
  13. Laelipoo's Avatar
    Try Xcon to see if it's a jailbreak block?
    Chargehammer likes this.
    01-04-2014 07:19 PM

Similar Threads

  1. The "Pick One" app is FREE for iPhone and iPad
    By Algotechapps in forum iPad Apps & Games
    Replies: 3
    Last Post: 01-15-2014, 06:28 PM
  2. iPhone 5s 32GB Screen flash/flicker?
    By DaMacDr76 in forum iPhone 5s
    Replies: 6
    Last Post: 12-26-2013, 06:54 AM
  3. Locked out of certain apps
    By kdewirth in forum Ask a Question
    Replies: 3
    Last Post: 12-16-2013, 09:51 PM
  4. Replies: 0
    Last Post: 12-16-2013, 07:20 AM
  5. Yahoo! Weather gets updated, now available on the iPad
    By iMore.com in forum iMore.com News Discussion
    Replies: 0
    Last Post: 12-16-2013, 06:30 AM
LINK TO POST COPIED TO CLIPBOARD